Page MenuHomePhabricator

Sitenotice of locked wikis is not displayed on mobile
Closed, ResolvedPublic

Description

Actual results

I went to Mobile View edition of closed projects, like Turkish Wikinews, Interlingue Wikibooks, and Yi Wikipedia. Somehow, the Mobile View editions do not transclude closure notices for those projects. Readers viewing the Mobile View wouldn’t see such notices.

Bulgarian Wikinews displays its own closure notice but uses local code and is located at only its own main page. The WMF’s notice about the closed project wouldn’t appear.

Expected results

Mobile View editions should display closure notices about local projects.

Event Timeline

gh87 created this task.Aug 26 2020, 9:19 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 26 2020, 9:19 PM
gh87 updated the task description. (Show Details)Aug 26 2020, 9:19 PM
Aklapper renamed this task from Mobile View editions of closed local projects don’t display their own closure notices to Sitenotice of locked wikis is not displayed on mobile.Aug 27 2020, 7:52 AM
Aklapper edited projects, added MobileFrontend; removed Mobile.
Kizule added a subscriber: Kizule.

This task have nothing related with Wiki-Setup, so I'm removing related project.

Kizule added a comment.EditedAug 27 2020, 3:03 PM

@Jdlrobson Needed settings are here, right?

Also, should we do it for all "closed" projects, or only for projects mentioned in description of this task?

Only closed. The reason it is feature flagged is many site notices are not tested by site admins on mobile as there is an expectation they do not appear there. This has rendered sites unusable in the past.

Kizule claimed this task.Aug 27 2020, 3:34 PM

Only closed. The reason it is feature flagged is many site notices are not tested by site admins on mobile as there is an expectation they do not appear there. This has rendered sites unusable in the past.

Okay @Jdlrobson, I'm going to make config patch now.

Restricted Application added a project: User-Kizule. · View Herald TranscriptAug 27 2020, 3:34 PM

Change 622777 had a related patch set uploaded (by Zoranzoki21; owner: Zoranzoki21):
[operations/mediawiki-config@master] Enable sitenotice on mobile for closed wikis

https://gerrit.wikimedia.org/r/622777

Kizule moved this task from Inbox to To deploy on the User-Kizule board.Aug 28 2020, 10:14 AM
Kizule moved this task from Backlog to To deploy on the Wikimedia-Site-requests board.

Scheduled for deployment in Monday.

Change 622777 merged by jenkins-bot:
[operations/mediawiki-config@master] Enable sitenotice on mobile for closed wikis

https://gerrit.wikimedia.org/r/622777

Mentioned in SAL (#wikimedia-operations) [2020-08-31T11:17:55Z] <urbanecm@deploy1001> Synchronized wmf-config/InitialiseSettings.php: b74893fecdaae599077daad5b1219ad3b9bc7fc9: Enable sitenotice on mobile for closed wikis (T261357) (duration: 00m 56s)

Kizule closed this task as Resolved.Aug 31 2020, 11:19 AM

This should work, I've tested and can confirm that I see "closure notices" on phone.

Closing task as resolved. :)

Thanks @Zoranzoki21 !